Bug 821279

Summary: SELinux is preventing deltacloudd from 'getattr' accesses on the file /lib/dbus-1/dbus-daemon-launch-helper.
Product: [Fedora] Fedora Reporter: geminic86
Component: deltacloud-coreAssignee: Michal Fojtik <mfojtik>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: clalancette, dominick.grift, dwalsh, mfojtik, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:62ca30ee0e2a679258243ceb878dfd4a33f34a381925b9312dce5cc81b783117
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 13:48:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description geminic86 2012-05-13 16:45:09 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-3.fc16.i686.PAE
reason:         SELinux is preventing deltacloudd from 'getattr' accesses on the file /lib/dbus-1/dbus-daemon-launch-helper.
time:           Sun 13 May 2012 04:44:13 PM EDT

:SELinux is preventing deltacloudd from 'getattr' accesses on the file /lib/dbus-1/dbus-daemon-launch-helper.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that deltacloudd should be allowed getattr access on the dbus-daemon-launch-helper file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep deltacloudd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:deltacloudd_t:s0
:Target Context                system_u:object_r:dbusd_exec_t:s0
:Target Objects                /lib/dbus-1/dbus-daemon-launch-helper [ file ]
:Source                        deltacloudd
:Source Path                   deltacloudd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           dbus-1.4.10-3.fc16.i686
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-3.fc16.i686.PAE #1 SMP Thu May
:                              3 14:54:14 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sun 13 May 2012 12:23:25 PM EDT
:Last Seen                     Sun 13 May 2012 12:23:25 PM EDT
:Local ID                      24bec64e-0be8-4c85-a33f-46fd84972c4c
:Raw Audit Messages
:type=AVC msg=audit(1336926205.607:107): avc:  denied  { getattr } for  pid=1230 comm="deltacloudd" path="/lib/dbus-1/dbus-daemon-launch-helper" dev="dm-1" ino=6134 scontext=system_u:system_r:deltacloudd_t:s0 tcontext=system_u:object_r:dbusd_exec_t:s0 tclass=file
:Hash: deltacloudd,deltacloudd_t,dbusd_exec_t,file,getattr
:#============= deltacloudd_t ==============
:allow deltacloudd_t dbusd_exec_t:file getattr;
:audit2allow -R
:#============= deltacloudd_t ==============
:allow deltacloudd_t dbusd_exec_t:file getattr;
Comment 1 Miroslav Grepl 2012-05-14 01:39:31 EDT
Any idea why deltacloudd needs to get attributes of dbus-daemon-launch-helper
Comment 2 Fedora End Of Life 2013-01-16 10:40:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Fedora End Of Life 2013-02-13 13:48:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.